summaryrefslogtreecommitdiffstats
path: root/games/jfsw_hires_pack
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-04-10 09:43:41 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:37:49 +0200
commitb72055b5b597dd0fc8b97c86fa1d03e2127a9961 (patch)
tree0de50834b897cbf13ec549c9782243906cf90791 /games/jfsw_hires_pack
parent38ee42c72a639ee8cb8ad69ee5af520eaaa33b5d (diff)
downloadslackbuilds-b72055b5b597dd0fc8b97c86fa1d03e2127a9961.tar.gz
slackbuilds-b72055b5b597dd0fc8b97c86fa1d03e2127a9961.tar.xz
games/jfsw_hires_pack: Added (Hi-res graphics for Shadow Warrior)
Diffstat (limited to 'games/jfsw_hires_pack')
-rw-r--r--games/jfsw_hires_pack/README13
-rw-r--r--games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild53
-rw-r--r--games/jfsw_hires_pack/jfsw_hires_pack.info10
-rw-r--r--games/jfsw_hires_pack/slack-desc19
4 files changed, 95 insertions, 0 deletions
diff --git a/games/jfsw_hires_pack/README b/games/jfsw_hires_pack/README
new file mode 100644
index 0000000000..67de73e67c
--- /dev/null
+++ b/games/jfsw_hires_pack/README
@@ -0,0 +1,13 @@
+jfsw_hires_pack (graphic enhancements for jfsw)
+
+This adds high resolution textures and 3D models to Shadow Warrior. For
+use with slackbuilds.org jfsw package.
+
+*** NOTE:
+*** The data file "sw.grp" from the full retail version is *required* to
+*** use this package; it will NOT work with the shareware/demo version (if
+*** you get a segfault at startup, the game is using the shareware sw.grp).
+
+If you have jfsw_demo_data installed, remove it with removepkg, and copy
+sw.grp from the full version to "/usr/share/games/jfsw/sw.grp". If you
+do not have the full version of the game, you can't use this package!
diff --git a/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild b/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild
new file mode 100644
index 0000000000..1e1d610134
--- /dev/null
+++ b/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for jfsw_hires_pack
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=jfsw_hires_pack
+VERSION=${VERSION:-2.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ZIPFILE1=Sw_Hrp_v$( echo $VERSION | sed 's/\.//g' ).zip
+ZIPFILE2=Swp_Users.zip
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG/usr/share/games/jfsw $OUTPUT
+cd $PKG/usr/share/games/jfsw
+unzip $CWD/Sw_Hrp_v21.zip
+unzip $CWD/Swp_Users.zip
+unzip Sw_Hrp.zip
+rm -f Sw_Hrp.zip
+
+# The HRP was built on Windows (non-case-sensitive filesystem). Have to
+# fix a few things to get it working on a proper filesystem.
+mv highres/Sw.def sw.def
+mv User.def user.def
+rename KVX kvx highres/sprites/voxels/*.KVX
+# TODO: what about highres/skyboxes/Sky_Stars ?
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/jfsw_hires_pack/jfsw_hires_pack.info b/games/jfsw_hires_pack/jfsw_hires_pack.info
new file mode 100644
index 0000000000..228af6bcd1
--- /dev/null
+++ b/games/jfsw_hires_pack/jfsw_hires_pack.info
@@ -0,0 +1,10 @@
+PRGNAM="jfsw_hires_pack"
+VERSION="2.1"
+HOMEPAGE="http://www.proasm.com/sw/swdls.html"
+DOWNLOAD="http://www.proasm.com/files/sw/Sw_Hrp_v21.zip http://www.proasm.com/files/sw/Swp_Users.zip"
+DOWNLOAD_x86_64=""
+MD5SUM="6163810b5aae667676ebcb27c93e7584 8305574a636f091ab8f14fccc9478a5f"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/games/jfsw_hires_pack/slack-desc b/games/jfsw_hires_pack/slack-desc
new file mode 100644
index 0000000000..5ca58e0b25
--- /dev/null
+++ b/games/jfsw_hires_pack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jfsw_hires_pack: jfsw_hires_pack (graphic enhancements for jfsw)
+jfsw_hires_pack:
+jfsw_hires_pack: This adds high resolution textures and 3D models to Shadow Warrior.
+jfsw_hires_pack:
+jfsw_hires_pack: *** NOTE:
+jfsw_hires_pack: *** The data file "sw.grp" from the full retail version is *required*
+jfsw_hires_pack: *** to use this package; it will NOT work with the shareware/demo
+jfsw_hires_pack: *** version.
+jfsw_hires_pack:
+jfsw_hires_pack:
+jfsw_hires_pack: